Sites

Get Site

Returns detailed information about a specific site including its configuration.

GET /api/sites/:siteId

Returns detailed information about a specific site including its configuration.

Any role on the site can call this. Public sites, and private-link viewers who send the key in the x-private-key header, can call it too; for them role is null and permissions is empty.

Path Parameters

Prop

Type

Response

Prop

Type

Returns 403 for a site that doesn't exist or that you can't access; 404 for a malformed ID or an unknown text site identifier.

Request
curl -X GET "https://app.rybbit.io/api/sites/123" \
  -H "Authorization: Bearer your_api_key_here"
Request
const response = await fetch(
  'https://app.rybbit.io/api/sites/123',
  {
    headers: {
      'Authorization': 'Bearer your_api_key_here'
    }
  }
);

const data = await response.json();
Request
import requests

response = requests.get(
    'https://app.rybbit.io/api/sites/123',
    headers={
        'Authorization': 'Bearer your_api_key_here'
    }
)

data = response.json()
Request
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://app.rybbit.io/api/sites/123');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'Authorization: Bearer your_api_key_here'
]);

$response = curl_exec($ch);
curl_close($ch);

$data = json_decode($response, true);
Request
require 'net/http'
require 'json'

uri = URI('https://app.rybbit.io/api/sites/123')
req = Net::HTTP::Get.new(uri)
req['Authorization'] = 'Bearer your_api_key_here'

res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)
Request
req, _ := http.NewRequest("GET", "https://app.rybbit.io/api/sites/123", nil)
req.Header.Set("Authorization", "Bearer your_api_key_here")

client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()

var data map[string]interface{}
json.NewDecoder(resp.Body).Decode(&data)
Request
let client = reqwest::Client::new();
let res = client
    .get("https://app.rybbit.io/api/sites/123")
    .header("Authorization", "Bearer your_api_key_here")
    .send()
    .await?;

let data: serde_json::Value = res.json().await?;
Request
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
    .uri(URI.create("https://app.rybbit.io/api/sites/123"))
    .header("Authorization", "Bearer your_api_key_here")
    .GET()
    .build();

HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
Request
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer your_api_key_here");

var response = await client.GetAsync("https://app.rybbit.io/api/sites/123");
var data = await response.Content.ReadAsStringAsync();
Response
{
  "id": "a1b2c3d4e5f6",
  "siteId": 123,
  "name": "My Website",
  "type": "web",
  "domain": "example.com",
  "createdAt": "2024-01-15 10:30:00.123456",
  "updatedAt": "2024-01-31 14:00:00.5",
  "createdBy": "user_xyz789",
  "organizationId": "org_def456",
  "claimExpiresAt": null,
  "saltUserIds": false,
  "public": false,
  "embedEnabled": false,
  "blockBots": true,
  "firstPartyProxy": false,
  "trackIp": false,
  "isOwner": false,
  "role": "editor",
  "permissions": ["analytics:read", "sessions:read", "goals:write", "sites:configure"],
  "requiresPlan": false,
  "sessionReplay": true,
  "webVitals": true,
  "trackErrors": true,
  "trackOutbound": true,
  "trackUrlParams": false,
  "trackUrlFragments": false,
  "trackInitialPageView": true,
  "trackSpaNavigation": true,
  "trackButtonClicks": false,
  "trackCopy": false,
  "trackFormInteractions": false
}